Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226375 - Merge Review: rng-utils
Summary: Merge Review: rng-utils
Keywords:
Status: CLOSED DUPLICATE of bug 576724
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:51 UTC by Nobody's working on this, feel free to take it
Modified: 2010-03-26 16:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-25 01:11:39 UTC
susi.lehtola: fedora-review-


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:51:40 UTC
Fedora Merge Review: rng-utils

http://cvs.fedora.redhat.com/viewcvs/devel/rng-utils/
Initial Owner: jgarzik@redhat.com

Comment 1 Susi Lehtola 2010-01-01 18:29:24 UTC
Assigning.

Comment 2 Susi Lehtola 2010-01-01 18:37:04 UTC
- Change
 Requires:       /sbin/chkconfig /sbin/service
to
 Requires: chkconfig initscripts
to speed up dependency resolution.

- Patch1 but no Patch0?

- Version is really 2, not 2.0. There's already an Epoch defined, so this could be rectified by an epoch bump.

- Source URL should be
 http://downloads.sourceforge.net/gkernel/rng-tools-2.tar.gz
not
 http://download.sourceforge.net/gkernel/rng-tools-2.tar.gz
Ideally %{version} macro should be used here.

- %configure picks up correct compiler flags.
 make CFLAGS="$RPM_OPT_FLAGS"
should be
 make %{?_smp_mflags}
to enable SMP compilation.

- You can drop
 mkdir -p %{buildroot}%{_sbindir}
 mkdir -p %{buildroot}%{_initrddir}
 mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
 mkdir -p %{buildroot}%{_mandir}/man{1,8}
as this is automatically done by make install.

- If you
 %define _sbindir /sbin
at the top of the spec file, you can use plain %configure and %{_sbindir} in %files.

Comment 3 Susi Lehtola 2010-01-01 18:41:44 UTC
You might want to change the .gz suffixes to .* in %files.

**

rpmlint output is clean.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. NEEDSWORK
- Macros are mixed. After addressal to comment #2, there shouldn't be a problem anymore.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A

MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. NEEDSWORK
- Add AUTHORS, ChangeLog, COPYING, NEWS and README to %doc.

MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK

Comment 4 Susi Lehtola 2010-01-01 18:43:37 UTC
(In reply to comment #3)
> MUST: The package must be named according to the Package Naming Guidelines. OK

Whoops, this is a negatory.

According to the Package Naming Guidelines, the name of the package should be rng-tools, not rng-utils. The package should be renamed to rng-utils. The renamal could be done alongside with this review.

Comment 5 Jeff Garzik 2010-03-24 19:40:15 UTC
Why should the package name deviate from the upstream name?

This will only add confusion to users.

Comment 6 Jeff Garzik 2010-03-24 19:40:57 UTC
Whoops, nevermind.  That last comment is obviously invalid.

Comment 7 Susi Lehtola 2010-03-25 01:11:39 UTC
Obsoleted by new review request due to renamal.

*** This bug has been marked as a duplicate of bug 576724 ***


Note You need to log in before you can comment on or make changes to this bug.